<script>
    import Header from '../components/Header.svelte';
    import Footer from '../components/Footer.svelte';
    import { Link } from "svelte-routing";
    import { onMount } from 'svelte'

    const apiUrl = siteData.env.API_URL

    let mainResult
    let results = []
    let resultsloded = false

	onMount(async () => {

        const api = await fetch(apiUrl, {
				method: "post",
				headers: { "Content-Type": "application/json" },
				body: JSON.stringify({
					query: `query results {
                        results(orderBy: createdAt_DESC) {
                            rating
                            permalink
                            name
                            level
                            video
                            thumbnail {
                                url
                            }
                        }
                    }`
				})
			}
		);

        const res = await api.json();
        
        if (api.ok) {
            resultsloded = true
            results = res.data.results
            mainResult = results[0]
        }
        

        
	})

    let showReview = (link) => {

        mainResult = results.find( g => g.permalink === link )

        let buttons = document.querySelectorAll('.results-playlist-vids .res-link')

        for (const button of buttons) {
            if (button.getAttribute('name') == link) {
                button.classList.add('active')
            } else {
                button.classList.remove('active')
            }
        }
    }

    let parseVideo = (link) => {
         let tae = link.substr(18, 9);
         return 'https://player.vimeo.com/video/' +  tae
    }

</script>

<Header/>

<section class="feature">
    <div class="wrap">
        <div class="v-graph-content">
        	<p>We Help Amazon Private Label Sellers That Are Stuck & Overwhelmed</p>
            <h1>Get Hyper-Systemized and Scale Faster by Doing Less</h1>
        </div>
        <div class="v-graph-button">
            <a href="https://intoprofits.com/case-study" class="btn-seehow"><span id="main_button_text">SEE HOW</span></a>
        </div>
    </div>
    <div class="v-graph-wrap">
        <video autoplay="" muted="" loop="">
			<source src="/vids/graph.mp4" type="video/mp4">
			<source src="/vids/graph.ogg" type="video/ogg">
		</video>
    </div>
    <div class="v-graph-overlay"></div>
</section>

<section class="pro-grade">
    <div class="wrap">
        <h1>Professional Grade Private Label Systems</h1>
        <p>IntoProfits.com provides proprietary tools and processes that give you true power and control. It’s like upgrading your business from a streetcar into an F1 car on a racetrack.</p>
        <h2>“<span>You master something when it becomes <u>simple</u></span>”</h2>
        <p>Most private label businesses are chaotic and fundamentally weak. We help you upgrade and streamline the foundations of your business. Then we get you fiercely focused on the few things that produce consistent results. Become efficient and effective. Drive performance through data and the scientific method. Optimize over time and win.</p>
    </div>
</section>

<section class="complete-connected">
	<div class="wrap">
        <article>
            <h1>Complete &amp; Connected</h1>
            <p>Forged in fire, our systems have evolved through continuous application since 2012. Most programs teach you siloed tactics but in the real-world everything is connected. And it’s the correct combination of every component that produces stunning results.</p>
        </article>

        <section>
			<figure>
				<div class="imgConnected focus"></div>
				<figcaption>
                    <h4>Focus</h4>
                    <p>Knowing what works and where to invest your time, energy and resources is critical for success. Most sellers get distracted and waste time where the ROI is low to none.</p>
                </figcaption>
			</figure>
			
			<figure>
				<div class="imgConnected strategy"></div>
				<figcaption>
                    <h4>Product strategy</h4>
                    <p>Crafting offers that are strategically superior to the competition is key for long-lasting success on Amazon. Most sellers offer “me-too” products and are fighting for scraps.</p>
                </figcaption>
			</figure>
			
			<figure>
				<div class="imgConnected chain"></div>
				<figcaption>
                    <h4>Supply chain</h4>
                    <p>Running a professional supply chain that is consistent and produces world-class products at low-cost. Most sellers go out of stock, have quality issues and waste money.</p>
                </figcaption>
			</figure>
			
			<figure>
				<div class="imgConnected cashflow"></div>
				<figcaption>
                    <h4>Cash flow</h4>
                    <p>Maximizing the cash utilization in your business means faster growth and more profits. Most sellers experience slow growth due to poor usage of cash and low profit-margins.</p>
                </figcaption>
			</figure>
			
			<figure>
				<div class="imgConnected systemdata"></div>
				<figcaption>
                    <h4>Systems &amp; data</h4>
                    <p>Building leveraged systems, designing your business for growth and using smart data. Most sellers hit a ceiling on growth due to a lack of structure, or one that doesn’t scale.</p>
                </figcaption>
			</figure>
			
			<figure>
				<div class="imgConnected advertising"></div>
				<figcaption>
                    <h4>Paid advertising</h4>
                    <p>Constructing campaigns at scale, testing, optimizing, expanding market share, dominating your market! Most sellers are stuck in the stone-age with Amazon PPC.</p>
                </figcaption>
			</figure>
			
			<figure>
				<div class="imgConnected optimization"></div>
				<figcaption>
                    <h4>Organic optimization</h4>
                    <p>Engineering product listings that rank for everything. Keyword usage and priority, indexation, page interactions, and more. Most sellers don’t make love to the machine.</p>
                </figcaption>
			</figure>
			
			<figure>
				<div class="imgConnected conversion"></div>
				<figcaption>
                    <h4>Conversions &amp; AOV</h4>
                    <p>Resonating with your market, creating offers that jump into the hands of new customers, architecting a higher AOV. Most sellers imitate and don’t know the art of salesmanship.</p>
                </figcaption>
			</figure>
			
			<figure>
				<div class="imgConnected hiring"></div>
				<figcaption>
                    <h4>Hiring &amp; managing a team</h4>
                    <p>Assembling a force and building a real business that runs and grows without you. Most sellers never decentralize, stay stuck and hire C-players that damage their business.</p>
                </figcaption>
			</figure>
			
			<figure>
				<div class="imgConnected operations"></div>
				<figcaption>
                    <h4>Operations</h4>
                    <p>Fine-tuning efficient, lean and transparent operations that deliver outstanding results. Most sellers build a bloated machine that drains profits and harms their ability to compete.</p>
                </figcaption>
			</figure>
			
			<figure>
				<div class="imgConnected automation"></div>
				<figcaption>
                    <h4>Scaling &amp; automation</h4>
                    <p>Identifying leverage points, refining the right parts at the right time, increasing automation. Most sellers can’t scale because their business gets worse if it grows.</p>
                </figcaption>
			</figure>
			
			<figure>
				<div class="imgConnected evolution"></div>
				<figcaption>
                    <h4>Product evolution</h4>
                    <p>Constantly iterating and improving your products and selection over time. Moving into customization and innovation. Most sellers never add genuine value to the marketplace.</p>
                </figcaption>
			</figure>
		</section>
	</div>
</section>

<section class="student-results">
	<div class="wrap">
	    <article>
            <h1>Proven Student Results</h1>
            <p>Does Apex Seller actually work? There is only one way to find out; by asking our students about their results with it in the real-world.</p>
            <span>Here is what our students have to say:</span>
        </article>

        {#if resultsloded}
            <div class="results-playlist">

                <div class="results-playlist-main iframe-wrap">
                    <iframe src="{parseVideo(mainResult.video)}" title="{mainResult.name}" width="640" height="360" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" allowfullscreen=""></iframe>
                </div>

                <div class="results-playlist-vids">
                    {#each results as result}

                        <div on:click="{() => showReview(result.permalink)}" class="res-link" name="{result.permalink}">

                            {#if result.thumbnail}
                                <img src="{result.thumbnail.url}" width="246" height="138" alt="{result.name}">
                            {:else}
                                <img src="/imgs/no-thumb.webp" width="500" height="281" alt="{result.name}">
                            {/if}

                            <div class="res-info">
                                <b>{result.name}</b>
                                <div class="res-level">{result.level} Figures</div>
                                <div class="res-rate"><div class="imgRate star{result.rating}"></div></div>
                            </div>
                        </div>

                    {/each}
                </div>
            </div>
        {:else}
            <div class="loader"></div>
        {/if}
       

        <nav>
            <div class="imgFeatured ratings"></div>
            <div class="imgFeatured forbes"></div>
            <div class="imgFeatured huffpost"></div>
            <div class="imgFeatured bbc"></div>
        </nav>

        <Link to="/results" class="see-reviews">See more of our student success stories</Link>

	</div>
</section>

<section class="program">
    <div class="wrap">
        <article>
            <h1>Cutting-Edge Programs</h1>
            <p>We teach the things that no-one else is teaching. All of our programs are built from the ground-up with our own proprietary systems and processes. They are NEW, innovative and give our students a true competitive advantage.</p>
        </article>

        <section>
            <img src="/imgs/apex-seller-product-graphic.webp" alt="Apex Seller" width="450" height="328">
            <div>
                <h1>Apex Seller™</h1>
                <h4>Stage: Scaling Up <span class="scaleProgbar"></span></h4>
                <p>How to scale into 7- and 8-figures by leveraging professional grade systems &amp; data, full-scale PPC advertising, unique products and a world-class team.</p>
                <Link class="button" to="/apex-seller">LEARN MORE</Link>
            </div>
        </section>
    </div>
</section>

<section class="overwhelmed">
    <div class="wrap">
        <p>Stop Being Stuck & Overwhelmed...</p> 
        <h1>Get Hyper-Systemized and Scale Faster by Doing Less</h1>
        <Link class="button" to="/apex-seller">Learn More</Link>
    </div>
</section>

<Footer/>


<style lang="scss">

h1 {
    font-size: 1.8rem;
    margin-bottom: 0.5rem;
}

.feature {
    height: 70vh;
    position: relative;
    display: flex;
    align-items: center;
    overflow: hidden;
	padding: 1.5rem;
	margin-top: 64px;

    h1 { 
		font-size: 1.8rem; 
		line-height: 1.1;
		margin-bottom: 2.5rem;
	}

	p { 
		font-size: 1.6rem;
		margin-bottom: 1.5rem;
	}

	.wrap {
		z-index: 2;

		.v-graph-content {
			text-align: center;
		}
	}

    .v-graph-wrap {
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100vh;

        video {
            min-height: 100%;
            min-width: 100%;
        }
    }

    .v-graph-overlay {
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        z-index: 1;
        background: #fff;
        opacity: .4;
    }

    a.btn-seehow {
        content: "";
        width: 100px;
        height: 100px;
        border-radius: 50%;
        border: 5px solid #000;
        transition: all .4s ease;
        margin: 0 auto;
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;

        &:before {
            content: "";
            width: 0;
            height: 0;
            position: relative;
            left: 6px;
            border-top: 24px solid transparent;
            border-bottom: 24px solid transparent;
            border-left: 30px solid #000;
            transition: all .4s ease;
        }

        &:hover {
            border: 5px solid #0047ab;

            &:before {
                border-left: 30px solid #0047ab;
            }

            span {
                color: #0047ab;
            }
        }

        span {
            text-transform: uppercase;
            font-size: 1rem;
            font-weight: 700;
            position: absolute;
            top: 112%;
            color: #000;
        }
    }
}

.pro-grade {
    background: #0047ab;
    text-align: center;
    color: #fff;
    padding: 3rem 1rem;

    p {
        font-size: 1.2rem;
        margin-bottom: 1rem;

        &:last-child {
            margin: 0
        }
    }
}

.complete-connected {
    padding: 3rem 1rem;

    article {
        text-align: center;
        margin-bottom: 2rem;

        p {
            font-size: 1.2rem;
        }
    }

    section {
        figure {
            display: grid;
            grid-template-columns: 90px auto;
            grid-auto-rows: minmax(100px, auto);
            grid-gap: 1rem;
            align-items: center;
            margin-bottom: 2rem;

            &:last-child {
                margin: 0;
            }
        }
        h4 {
            margin-bottom: .5rem;
            line-height: 1.5rem;
        }
    }
}

.student-results {
    padding: 3rem 1rem;
    text-align: center;
    background: #efefef;

    article {
        text-align: center;
        margin-bottom: 2rem;

        p {
            font-size: 1.2rem;
            margin-bottom: 2rem;
        }
    }

    nav {
        display: grid;
        gap: 1rem;
        margin-bottom: 2rem;
    }

    
}

.program {
    padding: 3rem 1rem;
    text-align: center;

    article {
        display: block;
        margin-bottom: 2rem;

        p {
            font-size: 1.2rem;
        }
    }

    section {
        display: block;

        img {
            margin: 0 auto 2rem;
            max-width: 450px;
            display: block;
            width: 100%;
        }

        h1 {
            font-size: 2rem;
        }

    }
}

.overwhelmed {
    background: #484848;
    text-align: center;
    color: #fff;
    padding: 3rem 1rem;

	h1 {
		font-size: 1.8rem;
		margin: 1rem auto 30px;
	}

	p {
        font-size: 1.6rem;
		margin: 0;
	}

	.button {
		font-weight: bold;
		text-transform: uppercase;
		font-size: 1.4rem;
		max-width: 220px;
		display: block;
		margin: 0 auto;
	}
}


@media (min-width: 768px) {
    h1 {
        font-size: 2.3rem;
        margin-bottom: 1.2rem;
    }

    p {
        font-size: 1.1rem;
    }

    .feature {
        min-height: 60vh;
        padding: 1.2rem;

        h1 {
            font-size: 3rem;
            margin: 0
        }

        p {
            font-size: 2rem;
        }

        .wrap {
            display: grid;
            grid-template-columns: auto 200px;


            .v-graph-content {
                text-align: left;
            }
            .v-graph-button {
                display:grid;
                align-items: center;
                justify-content: right;

                a.btn-seehow {
                    width: 160px;
                    height: 160px;

                    span {
                        font-weight: normal;
                        font-size: 1.2rem;
                    }
                }
            }
            
        }
    }

    .pro-grade {
        padding: 6rem 1rem;

        .wrap {
            max-width: 800px;
        }

        p {
            font-size: 1.4rem;
            margin-bottom: 2.5rem;

            &:last-child {
                margin: 0
            }
        }
    }

    .complete-connected {
        padding: 6rem 1rem;
        
        article {
            max-width: 800px;
            margin: 0 auto 2rem;

            p {
                font-size: 1.4rem;
            }
        }

        section {
           display: grid;
           grid-template-columns: 1fr 1fr;
           gap: 1rem;

           figure {
			margin: 0;
			background: #efefef;
			padding: 1rem;
           }
        }
    }

    .student-results {
        padding: 6rem 1rem;
        
        article {
            max-width: 800px;
            margin: 0 auto 2rem;

            p {
                font-size: 1.4rem;
            }
        }

      

        nav {
            grid-template-columns: repeat(4, 1fr);
            margin-bottom: 4rem;
        }

        .see-reviews {
            font-size: 1rem;
        }

    }

    .program {
        padding: 6rem 1rem;

        article {
            max-width: 800px;
            margin: 0 auto 3rem;

            p {
                font-size: 1.4rem;
            }
        }

        section {
            display: grid;
            grid-template-columns: 1fr 1fr;
            justify-content: center;
            align-items: center;
            gap: 1rem;

            img {
                margin: 0 auto;
            }

            div {
                text-align:left;

                p {
                    font-size: 1.2rem;
                }
            }
        }
    }

    .overwhelmed {
        padding: 6rem 1rem;

        .wrap {
            max-width: 750px
        }

        h1 {
            font-size: 2.5rem;
            margin: 1rem auto 30px;
            line-height: 3rem;
        }

        p {
            font-size: 1.6rem;
            margin: 0;
        }

    }
}

@media (min-width: 1280px) {

    .feature {
        min-height: 86vh;

        h1 {
            font-size: 3.5rem;
        }
        .wrap {
            gap: 3rem;
            max-width: 1020px;
        }
    }

    .complete-connected {
        section {
           grid-template-columns: 1fr 1fr 1fr;
           gap: 1.4rem;
        }
    }
}
</style>